Permalink
Browse files

update using statement in rakefile to handle new rubygems

  • Loading branch information...
1 parent 9dcf714 commit 2fa23450f0b5808ee8747be6a73efaf726345844 @jmeridth committed Apr 4, 2012
Showing with 56 additions and 44 deletions.
  1. +1 −1 Rakefile
  2. +55 −43 twog.gemspec
View
2 Rakefile
@@ -1,6 +1,6 @@
require 'rubygems'
require 'rspec/core/rake_task'
-require 'rake/gempackagetask'
+require 'rubygems/package_task'
namespace :twog do
View
98 twog.gemspec
@@ -1,67 +1,65 @@
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{twog}
+ s.name = "twog"
s.version = "0.3.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Jason Meridth"]
- s.date = %q{2010-04-16}
- s.default_executable = %q{twog}
- s.description = %q{Tool to tweet blog posts}
+ s.date = "2012-04-04"
+ s.description = "Tool to tweet blog posts"
s.email = ["jmeridth@gmail.com"]
s.executables = ["twog"]
s.extra_rdoc_files = [
"LICENSE",
- "README.textile"
+ "README.textile"
]
s.files = [
- ".gitignore",
- "History.rdoc",
- "LICENSE",
- "README.textile",
- "Rakefile",
- "VERSION.yml",
- "bin/twog",
- "lib/twog.rb",
- "lib/twog/blog_posts_handler.rb",
- "lib/twog/post.rb",
- "lib/twog/rss_entry_to_twog_post_mapper.rb",
- "lib/twog/rss_parser.rb",
- "lib/twog/twitter_handler.rb",
- "spec/blog_posts_handler_spec.rb",
- "spec/post_spec.rb",
- "spec/rss_entry_to_twog_post_mapper_spec.rb",
- "spec/rss_parser_spec.rb",
- "spec/spec_helper.rb",
- "spec/twitter_handler_spec.rb",
- "spec/twog_spec.rb",
- "twog.gemspec"
+ ".rvmrc",
+ ".travis.yml",
+ "Gemfile",
+ "Gemfile.lock",
+ "History.rdoc",
+ "LICENSE",
+ "README.textile",
+ "Rakefile",
+ "VERSION.yml",
+ "bin/twog",
+ "lib/twog.rb",
+ "lib/twog/blog_posts_handler.rb",
+ "lib/twog/post.rb",
+ "lib/twog/rss_entry_to_twog_post_mapper.rb",
+ "lib/twog/rss_parser.rb",
+ "lib/twog/twitter_handler.rb",
+ "spec/spec_helper.rb",
+ "spec/twog/blog_posts_handler_spec.rb",
+ "spec/twog/post_spec.rb",
+ "spec/twog/rss_entry_to_twog_post_mapper_spec.rb",
+ "spec/twog/rss_parser_spec.rb",
+ "spec/twog/twitter_handler_spec.rb",
+ "spec/twog/twog_spec.rb",
+ "twog.gemspec"
]
- s.homepage = %q{http://github.com/armmer/twog}
- s.rdoc_options = ["--charset=UTF-8"]
+ s.homepage = "http://github.com/armmer/twog"
s.require_paths = ["lib"]
- s.rubyforge_project = %q{twog}
- s.rubygems_version = %q{1.3.6}
- s.summary = %q{Tool to tweet blog posts}
- s.test_files = [
- "spec/blog_posts_handler_spec.rb",
- "spec/post_spec.rb",
- "spec/rss_entry_to_twog_post_mapper_spec.rb",
- "spec/rss_parser_spec.rb",
- "spec/spec_helper.rb",
- "spec/twitter_handler_spec.rb",
- "spec/twog_spec.rb"
- ]
+ s.rubyforge_project = "twog"
+ s.rubygems_version = "1.8.10"
+ s.summary = "Tool to tweet blog posts"
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<twitter_oauth>, [">= 0.3.3"])
+ s.add_runtime_dependency(%q<bitly>, [">= 0.4.0"])
+ s.add_runtime_dependency(%q<whenever>, [">= 0.4.1"])
+ s.add_runtime_dependency(%q<activesupport>, [">= 2.3.5"])
+ s.add_runtime_dependency(%q<jeweler>, [">= 0.11.0"])
+ s.add_development_dependency(%q<rake>, [">= 0"])
+ s.add_development_dependency(%q<rspec>, [">= 2.0.0.beta.22"])
s.add_runtime_dependency(%q<twitter_oauth>, [">= 0.3.3"])
s.add_runtime_dependency(%q<bitly>, [">= 0.4.0"])
s.add_runtime_dependency(%q<whenever>, [">= 0.4.1"])
@@ -71,12 +69,26 @@ Gem::Specification.new do |s|
s.add_dependency(%q<bitly>, [">= 0.4.0"])
s.add_dependency(%q<whenever>, [">= 0.4.1"])
s.add_dependency(%q<activesupport>, [">= 2.3.5"])
+ s.add_dependency(%q<jeweler>, [">= 0.11.0"])
+ s.add_dependency(%q<rake>, [">= 0"])
+ s.add_dependency(%q<rspec>, [">= 2.0.0.beta.22"])
+ s.add_dependency(%q<twitter_oauth>, [">= 0.3.3"])
+ s.add_dependency(%q<bitly>, [">= 0.4.0"])
+ s.add_dependency(%q<whenever>, [">= 0.4.1"])
+ s.add_dependency(%q<activesupport>, [">= 2.3.5"])
end
else
s.add_dependency(%q<twitter_oauth>, [">= 0.3.3"])
s.add_dependency(%q<bitly>, [">= 0.4.0"])
s.add_dependency(%q<whenever>, [">= 0.4.1"])
s.add_dependency(%q<activesupport>, [">= 2.3.5"])
+ s.add_dependency(%q<jeweler>, [">= 0.11.0"])
+ s.add_dependency(%q<rake>, [">= 0"])
+ s.add_dependency(%q<rspec>, [">= 2.0.0.beta.22"])
+ s.add_dependency(%q<twitter_oauth>, [">= 0.3.3"])
+ s.add_dependency(%q<bitly>, [">= 0.4.0"])
+ s.add_dependency(%q<whenever>, [">= 0.4.1"])
+ s.add_dependency(%q<activesupport>, [">= 2.3.5"])
end
end

0 comments on commit 2fa2345

Please sign in to comment.